Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157734 - rpmhandler.h expects private file from apt
Summary: rpmhandler.h expects private file from apt
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: apt
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 08:50 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-18 21:45:17 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2005-05-14 08:50:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050417 Fedora/1.7.7-1.3.1

Description of problem:
Including <apt-pkg/rpmhandler.h> from inside of an application based on apt-devel triggers this compilation error:

/usr/include/apt-pkg/rpmhandler.h:18:20: config.h: No such file or directory


Version-Release number of selected component (if applicable):
apt-0.5.15cnc7-1

How reproducible:
Always

Steps to Reproduce:
1. Compile this file: 
cat hello.cc
#include <apt-pkg/rpmhandler.h>

2. g++ -Wall -o hello.o -c hello.cc
In file included from hello.cc:1:
/usr/include/apt-pkg/rpmhandler.h:18:20: config.h: No such file or directory

  

Additional info:

The <config.h> is rpmhandler.h is trying to include is a private file being used inside of the apt-source tree. It must not be used in public headers.

Comment 1 Panu Matilainen 2006-04-18 21:45:17 UTC
I'd forgotten all about this old bug... Fixed in SVN now so will be fixed in
next package version.


Note You need to log in before you can comment on or make changes to this bug.